%define fedora 19
#https://bugzilla.redhat.com/show_bug.cgi?id=455071

%global minorversion 0.4
%if 0%{?fedora} >= 18
    %global xfceversion 4.10
%else
    %global xfceversion 4.8
%endif

Name:           xfce4-mpc-plugin
Version:        0.4.4
Release:        alt1_3
Summary:        MPD client for the Xfce panel

Group:          Graphical desktop/Other
License:        ISC
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
#VCS: git:git://git.xfce.org/panel-plugins/xfce4-mpc-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRequires:  libxfce4ui-devel >= 4.8.0
BuildRequires:  xfce4-panel-devel >= 4.8.0
BuildRequires:  libexo-devel >= 0.5.0
BuildRequires:  libmpd-devel >= 0.12
BuildRequires:  gettext
BuildRequires:  intltool
Requires:       xfce4-panel >= %{xfceversion}
Source44: import.info

%description
A simple client plugin for MPD, the Music Player Daemon.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

# remove la file
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# FIXME: make sure debuginfo is generated properly (#795107)
chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}


%files -f %{name}.lang
# FIXME: add NEWS when there are some
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel/plugins/*.desktop


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.4-alt1_3
- initial fc import

